package com.ruoyi.project.system.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.system.domain.SysMessage;

/**
 * 系统消息Mapper接口
 *
 * @author ruoyi
 * @date 2022-05-26
 */
public interface SysMessageMapper
{
    /**
     * 查询系统消息
     *
     * @param id 系统消息ID
     * @return 系统消息
     */
    public SysMessage selectSysMessageById(Long id);

    /**
     * 查询系统消息列表
     *
     * @param sysMessage 系统消息
     * @return 系统消息集合
     */
    public List<SysMessage> selectSysMessageList(SysMessage sysMessage);

    /**
     * 新增系统消息
     *
     * @param sysMessage 系统消息
     * @return 结果
     */
    public int insertSysMessage(SysMessage sysMessage);

    /**
     * 修改系统消息
     *
     * @param sysMessage 系统消息
     * @return 结果
     */
    public int updateSysMessage(SysMessage sysMessage);

    /**
     * 删除系统消息
     *
     * @param id 系统消息ID
     * @return 结果
     */
    public int deleteSysMessageById(Long id);

    /**
     * 批量删除系统消息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysMessageByIds(Long[] ids);
}
